Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package transform
  Definition Classes
    nsc
-  abstract class Constructors extends Statics with Transform with TypingTransformers with TreeDSL

  This phase converts classes with parameters into Java-like classes with fields, which are assigned to from constructors.

  This phase converts classes with parameters into Java-like classes with fields, which are assigned to from constructors.

  Definition Classes
    transform
- CODE
- ConstructorTransformer
- ConstructorTransformerBase
- Phase
- StaticsTransformer
- StdPhase
- ThicketTransformer
- TypingTransformer

t

scala.tools.nsc.transform.Constructors

# ConstructorTransformerBase

###

#### trait ConstructorTransformerBase extends AnyRef

Source
  Constructors.scala

Linear Supertypes
AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ConstructorTransformerBase
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Abstract Value Members

1.  abstract def clazz: Global.Symbol
2.  abstract def impl: Global.Template
3.  abstract def localTyper: (analyzer)#Typer
4.  abstract def unit: Global.CompilationUnit

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from ConstructorTransformerBase toany2stringadd[ConstructorTransformerBase] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (ConstructorTransformerBase, B)
   Implicit
     This member is added by an implicit conversion from ConstructorTransformerBase toArrowAssoc[ConstructorTransformerBase] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  def ensuring(cond: (ConstructorTransformerBase) => Boolean, msg: => Any): ConstructorTransformerBase
   Implicit
     This member is added by an implicit conversion from ConstructorTransformerBase toEnsuring[ConstructorTransformerBase] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
9.  def ensuring(cond: (ConstructorTransformerBase) => Boolean): ConstructorTransformerBase
   Implicit
     This member is added by an implicit conversion from ConstructorTransformerBase toEnsuring[ConstructorTransformerBase] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: Boolean, msg: => Any): ConstructorTransformerBase
    Implicit
      This member is added by an implicit conversion from ConstructorTransformerBase toEnsuring[ConstructorTransformerBase] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean): ConstructorTransformerBase
    Implicit
      This member is added by an implicit conversion from ConstructorTransformerBase toEnsuring[ConstructorTransformerBase] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
15.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from ConstructorTransformerBase toStringFormat[ConstructorTransformerBase] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
16.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
19.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
23.  def toString(): String
    Definition Classes
      AnyRef → Any
24.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
25.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
26.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (ConstructorTransformerBase, B)
   Implicit
     This member is added by an implicit conversion from ConstructorTransformerBase toArrowAssoc[ConstructorTransformerBase] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromConstructorTransformerBase to any2stringadd[ConstructorTransformerBase]

### Inherited by implicit conversion StringFormat fromConstructorTransformerBase to StringFormat[ConstructorTransformerBase]

### Inherited by implicit conversion Ensuring fromConstructorTransformerBase to Ensuring[ConstructorTransformerBase]

### Inherited by implicit conversion ArrowAssoc fromConstructorTransformerBase to ArrowAssoc[ConstructorTransformerBase]

### Ungrouped